<?php
/**
 * @version     1.0.0
 * @package     Archetype
 * @author      Nuevvo - http://nuevvo.com
 * @copyright   Copyright (c) 2010 - 2013 Nuevvo Webware Ltd. All rights reserved.
 * @license     http://nuevvo.com/license
 */

// no direct access
defined('_JEXEC') or die;

// Unset some item properties that we do not need in our JSON data
foreach ($items as $key => &$row)
{
	$row->key = $key;
	$row->createdOn = JHTML::_('date', $row->created, JText::_('K2_DATE_FORMAT_LC2'));
	$row->url = str_replace(JURI::root(true).'/', '', $row->link);
	$row->frameLink = str_replace(JURI::root(true).'/', '', $row->link);
	if($row->image)
	{
		$row->imageUrl = str_replace(JURI::root(true).'/', '', $row->image);
	}

	if(strpos($row->link, '?') === false)
	{
		$row->frameLink .= '?tmpl=modal';
	}
	else
	{
		$row->frameLink .= '&tmpl=modal';
	}
	if(!isset($row->tags))
	{
		$row->tags = array();
	}
	
	foreach($row->tags as &$tag)
	{
		$tag->url = str_replace(JURI::root(true).'/', '', $tag->link);
	}
	
	if(!isset($row->attachments))
	{
		$row->attachments = array();
	}
	
	foreach($row->attachments as &$attachment)
	{
		$attachment->url = str_replace(JURI::root(true).'/', '', $attachment->link);
	}
	
	if(isset($row->categoryLink) && $row->categoryLink)
	{
		$row->categoryUrl = str_replace(JURI::root(true).'/', '', $row->categoryLink);
	}
	
	if(isset($row->authorLink) && $row->authorLink)
	{
		$row->authorUrl = str_replace(JURI::root(true).'/', '', $row->authorLink);
	}
	
	if(isset($row->authorAvatar) && $row->authorAvatar)
	{
		$row->authorAvatarUrl = str_replace(JURI::root(true).'/', '', $row->authorAvatar);
	}
	
	unset($row->params);
	unset($row->categoryparams);
	unset($row->metadata);
	unset($row->extra_fields_search);
}
$document = JFactory::getDocument();

//Needed Params
$app					= JFactory::getApplication();
$sitename			= $app->getCfg('sitename');
$siteurl			= JURI::base();

//Image ratio
$ratio = $document->params->get('k2ContentPortfolioImageRatio');
$step = (int)$document->params->get('modK2ContentAjaxLimit', 6);

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="row modItemsBlock k2ItemsBlock <?php //if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">
<div class="k2Modal"></div>

<script type="text/template" class="k2ModalTemplate">
		<div class="k2Modalheader column small-12 portfolioItem">
			<div class="row">

				<div class="column small-12 itemPortfollioHeader">
					<div class="left small-12 large-8 itemPortfollioHeaderTitleWrap">
						<!-- logo -->
						<h1 id="logo" class="left">
							<a href="<?php echo $siteurl; ?>">
								<?php if($document->params->get('siteLogo')): ?>
								<img src="<?php echo $document->params->get('siteLogo'); ?>" alt="<?php echo $document->params->get('siteLogoAltText', $sitename); ?>" />
								<?php else: ?>
								<?php echo $document->params->get('siteTextAsLogo', $sitename); ?>
								<?php endif; ?>
							</a>
						</h1>
					</div>

					<div class="right small-12 large-4 itemNavigation">

				    <a class="itemPrevious" href="#" title="" data-previous="<%= key - 1 %>">
				      <i class="icon-arrow-left7"></i>
				    </a>

				    <a class="itemNext" href="#" title="" data-next="<%= key + 1 %>">
				      <i class="icon-arrow-right7"></i>
				    </a>

				    <a class="right itemCloseModal" id="itemCloseModal" href="#">
							<i class="icon-cancel"></i>
				    </a>
				  </div>
				</div>
			</div>
		</div>

		<div class="circleGWrap">
			<div class="circleG circleG_1">
			</div>
			<div class="circleG circleG_2">
			</div>
			<div class="circleG circleG_3">
			</div>
		</div>


		<iframe src="<%= frameLink %>" scrolling="no"></iframe>
</script>

<script type="text/template" class="k2ItemPlaceholder">
	<article class="column small-12 medium-6 large-4 transition portfolioCatItem singlePortModItem simple-animation portfolioItemLoading" data-id="<%= id %>">
		<div style="padding: 0 0 <?php echo $ratio; ?>%;">
			<a href="<%- link %>" class="icon-plus3 iconSeeMore" data-id="<%= id %>"></a>

			<?php if($params->get('itemImage')): ?>
			<% if(image) { %>
			<a class="portfolioItemImageBlock moduleItemImage" data-id="<%= id %>" href="<%- url %>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<%- title %>&quot;">
				<span style="background:url(<%- imageUrl %>) 50% 50%; background-size: cover; -ms-filter:'progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<%- imageUrl %>', sizingMethod='crop')';"></span>
			</a>
			<% } %>
			<?php endif; ?>

			<div class="transition portfolioOverlayText" data-id="<%= id %>">

	      <?php if($params->get('itemAuthorAvatar')): ?>
	      <a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<%- authorUrl; %>">
	      	<img src="<%- authorAvatarUrl %>" alt="<%- author %>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
	      </a>
	      <?php endif; ?>

	      <?php if($params->get('itemTitle')): ?>
	      <h3 class="condensed liItemTitle catItemTitle">
	      	<a href="<%- url %>" data-id="<%= id %>"><%= title %></a>
	      </h3>
	      <?php endif; ?>

	      <?php if($params->get('itemDateCreated')): ?>
	      <span class="moduleItemDateCreated"><?php echo JText::_('K2_WRITTEN_ON') ; ?> <%= createdOn %></span>
	      <?php endif; ?>

	      <?php if($params->get('itemCategory')): ?>
	      <?php //echo JText::_('K2_IN') ; ?> <a class="portfolioItemCategory condensed moduleItemCategory" href="<%- categoryUrl %>"><%= categoryname %></a>
	      <?php endif; ?>

	      <?php if($params->get('itemTags')): ?>
	      <% if(tags.length > 0) { %>
	      <div class="portfolioItemTagsBlock catItemTagsBlock">
	      	<ul class="resetList condensed portfolioItemTags catItemTags">
	        <% _.each(tags, function(tag) { %>
	      		<% if(tags.length == counter+1) { %>
	      		<li><a href="<%- tag.url %>"><%= tag.name %></a></li>
	      		<% } else { %>
	      		<li><a href="<%- tag.url %>"><%= tag.name %>,</a></li>
	      		<% } %>
	        <% }); %>
	        </ul>
	      </div>
	      <% } %>
	      <?php endif; ?>

	      <?php if($params->get('itemAuthor')): ?>
	      <div class="moduleItemAuthor">

					<% if(authorLink) { %>
					<a rel="author" title="<%- author %>" href="<%- authorUrl %>"><% author %></a>
					<% } else { %>
					<%= author %>
					<% } %>

					<?php if($params->get('userDescription')): ?>
					<%= authorDescription %>
					<?php endif; ?>

				</div>
				<?php endif; ?>

				<?php if($params->get('itemIntroText')): ?>
				<div class="moduleItemIntrotext">
		  		<%= introtext %>
		  	</div>
		  	<?php endif; ?>

				<?php if($params->get('itemExtraFields')): ?>
	    	<% if(extra_fields.length > 0) { %>
	    	<div class="moduleItemExtraFields">
		    <b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
		    <ul>
		    	<% _.each(extra_fields, function(extraField) { %>
		    		<% if(extraField.value != '') { %>
		    			<li class="type<%- extraField.type %> group<%- extraField.group %>">
		    				<% if(extraField.type == 'header') { %>
		    				<h4 class="moduleItemExtraFieldsHeader"><%= extraField.name %></h4>
		    				<% } else { %>
		    				<span class="moduleItemExtraFieldsLabel"><%= extraField.name %></span>
								<span class="moduleItemExtraFieldsValue"><%= extraField.value %></span>
		    				<% } %>
							<div class="clr"></div>
						</li>
		    		<% } %>
		    	<% }); %>
		      </ul>
	      </div>
	      <% } %>
	      <?php endif; ?>

	      <div class="clr"></div>

	      <?php if($params->get('itemVideo')): ?>
	      <div class="moduleItemVideo">
		      <%= video %>
		      <span class="moduleItemVideoCaption"><%= video_caption %></span>
		      <span class="moduleItemVideoCredits"><%= video_credits %></span>
	      </div>
	      <?php endif; ?>

	      <div class="clr"></div>

				<?php if($params->get('itemAttachments')): ?>
				<% if(attachments.length > 0) { %>
					<div class="moduleAttachments">
					 <% _.each(attachments, function(attachment) { %>
						<a title="<%- attachment.titleAttribute %>" href="<%- attachment.url %>"><%= attachment.title %></a>
					 <% }); %>
					</div>
				<% } %>
		    <?php endif; ?>

				<?php if($params->get('itemCommentsCounter') && $componentParams->get('comments')): ?>
				<div class="moduleItemComments">
				<i class="icon-comments"></i>
				<a href="<%- url %>#itemCommentsAnchor'; ?>"><%= numOfComments %></a>
		    </div>
		    <?php endif; ?>


				<?php if($params->get('itemHits')): ?>
	      <span class="moduleItemHits">
	        <i class="icon-eye-open"></i> <%= hits %>
	      </span>
	      <?php endif; ?>

	      <?php if($params->get('itemReadMore')): ?>
	      <% if(fulltext) { %>
	      <a class="moduleItemReadMore" href="<%- url %>">
	        <span><?php echo JText::_('K2_READ_MORE'); ?></span>
	      </a>
	      <% } %>
	      <?php endif; ?>
	      <div class="clr"></div>
	    </div>

	  	<?php if($params->get('itemIntroText')): ?>
			<section class="transition itemInvisibleArea">
			  <!-- Item introtext -->
			  <div class="portfolioItemIntroText catItemIntroText">
			  	<a href="<%- url %>" data-id="<%= id %>">
			  		<%= introtext %>
			  	</a>
			  </div>
			</section>
			<?php endif; ?>
			<div class="clr"></div>
		</div>
	</article>
</script>
<script type="text/javascript">
	jQuery(document).ready(function() {
		jQuery('#k2ModuleBox<?php echo $module->id; ?>').portfolio({
			step : <?php echo $step; ?>,
			items : <?php echo json_encode($items); ?>,
			itemTemplate : '.k2ItemPlaceholder',
			itemSelector : 'article',
			itemsContainerSelector : '.portfolioItems',
			click : 'a.moduleItemTitle, a.moduleItemImage, .portfolioItemIntroText a,.portfolioOverlayText',
			more : '.k2CustomShowMore'
		});
	});
</script>
<?php /*
<script type="text/javascript">
	var itemsOfModule<?php echo $module->id; ?> = <?php echo json_encode($items); ?>;
	var step = <?php echo $step; ?>;
	$K2(document).ready(function() {

		function renderModal<?php echo $module->id; ?>(row) {
			var modal = $K2('#k2ModuleBox<?php echo $module->id; ?> .k2ModalTemplate').html();
			var compiled = _.template(modal, row);
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal').html(compiled);
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').addClass('invisible');
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal').addClass('openModal');
		}

		$K2('#k2ModuleBox<?php echo $module->id; ?>').on('click', 'a.moduleItemTitle, a.moduleItemImage, .portfolioItemIntroText a', function(event) {
			event.preventDefault()
			var id = $K2(this).data('id');
			var row;
			_.each(itemsOfModule<?php echo $module->id; ?>, function(item, key) {
				item.key = key;
				if(item.id == id) {
					row = item;
				}
			});
			renderModal<?php echo $module->id; ?>(row);

			$K2('html, body').addClass('ovHidden');
			//Get the appropriate iframe height
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').load(function() {
				$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').removeClass('invisible');
			    var iHeight = $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').contents().height();
			    $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').css('height', iHeight);
			 });

		});

		$K2('#k2ModuleBox<?php echo $module->id; ?> .k2CustomShowMore').click(function(event) {
			event.preventDefault();
			var offset  = $K2('#k2ModuleBox<?php echo $module->id; ?> article.singlePortModItem').length;
			var rows = itemsOfModule<?php echo $module->id; ?>.slice(offset,offset + step);
			var template = $K2('#k2ModuleBox<?php echo $module->id; ?> .k2ItemPlaceholder').html();
			$K2.each(rows, function(index, row) {
				if(row.image === undefined) {
					row.image = '';
				}
				row.image = _.unescape(row.image);
				row.link = _.unescape(row.link);
				var compiled = _.template(template, row);
				$K2('#k2ModuleBox<?php echo $module->id; ?> .portfolioItems').append(compiled);

				var article = $K2('#k2ModuleBox<?php echo $module->id; ?> article[data-id="'+ row.id +'"]');
				var image = article.find('.moduleItemImage img');
				if(image.length > 0) {
					image.load(function() {
						article.removeClass('portfolioItemLoading');
						article.addClass('portfolioItemLoaded');
					});
				} else {
					article.removeClass('portfolioItemLoading');
					article.addClass('portfolioItemLoaded');
				}


			});
			var appended = $K2('#k2ModuleBox<?php echo $module->id; ?> article.singlePortModItem').length;
			var total = itemsOfModule<?php echo $module->id; ?>.length;
			if(appended >= total) {
				$K2(this).hide();
			}
		});

		$K2('body').on('click', '#k2ModuleBox<?php echo $module->id; ?> .k2Modal .itemNext', function(e) {
			e.preventDefault();
			var next = $K2(this).data('next');
			if(itemsOfModule<?php echo $module->id; ?>[next] != undefined) {
				renderModal<?php echo $module->id; ?>(itemsOfModule<?php echo $module->id; ?>[next]);
			}
			//Get the appropriate iframe height
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').load(function() {
				$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').removeClass('invisible');
			    var iHeight = $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').contents().height();
			    $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').css('height', iHeight);
			 });
		});

		$K2('body').on('click', '#k2ModuleBox<?php echo $module->id; ?> .k2Modal .itemPrevious', function(e) {
			e.preventDefault();
			var previous = $K2(this).data('previous');
			if(itemsOfModule<?php echo $module->id; ?>[previous] != undefined) {
				renderModal<?php echo $module->id; ?>(itemsOfModule<?php echo $module->id; ?>[previous]);
			}
			//Get the appropriate iframe height
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').load(function() {
				$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').removeClass('invisible');
			    var iHeight = $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').contents().height();
			    $K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal iframe').css('height', iHeight);
			 });
		});

		$K2('body').on('click', '#itemCloseModal', function(e){
			e.preventDefault();
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal').empty();
			$K2('#k2ModuleBox<?php echo $module->id; ?> .k2Modal').removeClass('openModal');
			$K2('html, body').removeClass('ovHidden');
		});

	});
</script>
*/ ?>
	<?php if($params->get('itemPreText')): ?>
	<p class="modulePretext"><?php echo $params->get('itemPreText'); ?></p>
	<?php endif; ?>

	<?php if(count($items)): ?>
	<section class="row collapse portfolioItems itemPortfolioList">

    <?php foreach($items as $key=>$item): ?>

    <?php if($key < 6): ?>

    <article class="column <?php echo ($key%2) ? "odd" : "even"; if(count($items)==$key+1) echo ' lastItem'; ?> small-12 medium-6 large-4 transition seq-animation portfolioCatItem singlePortModItem">
			<div style="padding: 0 0 <?php echo $ratio; ?>%;">
	      <!-- Plugins: BeforeDisplay -->
	      <?php echo $item->event->BeforeDisplay; ?>

	      <!-- K2 Plugins: K2BeforeDisplay -->
	      <?php echo $item->event->K2BeforeDisplay; ?>

				<?php /*<a href="<?php echo $item->link; ?>" class="icon-plus3 iconSeeMore" data-id="<?php echo $item->id; ?>"></a>*/ ?>

	      <?php if($params->get('itemImage') && isset($item->image)): ?>
	      <a class="portfolioItemImageBlock moduleItemImage" href="<?php echo $item->link; ?>" data-id="<?php echo $item->id; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
					<span style="background:url(<?php echo $item->image; ?>) 50% 50%; background-size: cover; -ms-filter:'progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $item->image; ?>', sizingMethod='crop')';"></span>
	      	<?php /* <img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/> */ ?>
	      </a>
	      <?php endif; ?>

				<div class="transition portfolioOverlayText" data-id="<?php echo $item->id; ?>">

		      <?php if($params->get('itemAuthorAvatar')): ?>
		      <a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<?php echo $item->authorLink; ?>">
						<img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
					</a>
		      <?php endif; ?>

		      <?php if($params->get('itemTitle')): ?>
		      <h3 class="condensed liItemTitle catItemTitle">
		      	<a href="<?php echo $item->link; ?>" data-id="<?php echo $item->id; ?>"><?php echo $item->title; ?></a>
		      </h3>
		      <?php endif; ?>

		      <?php if($params->get('itemAuthor')): ?>
		      <div class="moduleItemAuthor">
			      <?php echo K2HelperUtilities::writtenBy($item->authorGender); ?>

						<?php if(isset($item->authorLink)): ?>
						<a rel="author" title="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" href="<?php echo $item->authorLink; ?>"><?php echo $item->author; ?></a>
						<?php else: ?>
						<?php echo $item->author; ?>
						<?php endif; ?>

						<?php if($params->get('userDescription')): ?>
						<?php echo $item->authorDescription; ?>
						<?php endif; ?>

					</div>
					<?php endif; ?>

		      <!-- Plugins: AfterDisplayTitle -->
		      <?php echo $item->event->AfterDisplayTitle; ?>

		      <!-- K2 Plugins: K2AfterDisplayTitle -->
		      <?php echo $item->event->K2AfterDisplayTitle; ?>

		      <?php if($params->get('itemCategory')): ?>
		      	<a class="portfolioItemCategory condensed moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
		      <?php endif; ?>

		      <?php if($params->get('itemTags') && count($item->tags)>0): ?>
		      <div class="portfolioItemTagsBlock catItemTagsBlock">
		        <?php //echo JText::_('K2_TAGS'); ?>
		        <ul class="resetList condensed portfolioItemTags catItemTags">
		        <?php foreach ($item->tags as $tagCounter=>$tag): ?>
		          <?php if(count($item->tags)==($tagCounter+1)): ?>
	            <li><a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a></li>
							<?php else: ?>
	            <li><a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?>,</a></li>
							<?php endif; ?>
		        <?php endforeach; ?>
		      </div>
		      <?php endif; ?>

		      <!-- Plugins: BeforeDisplayContent -->
		      <?php echo $item->event->BeforeDisplayContent; ?>

		      <!-- K2 Plugins: K2BeforeDisplayContent -->
		      <?php echo $item->event->K2BeforeDisplayContent; ?>

		      <?php if($params->get('itemIntroText')): ?>
		      <div class="moduleItemIntrotext">
		      	<?php echo $item->introtext; ?>
		      </div>
		      <?php endif; ?>
		      <?php if($params->get('itemExtraFields') && count($item->extra_fields)): ?>
		      <div class="moduleItemExtraFields">
			      <b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
			      <ul>
			        <?php foreach ($item->extra_fields as $extraField): ?>
							<?php if($extraField->value != ''): ?>
							<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
								<?php if($extraField->type == 'header'): ?>
								<h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
								<?php else: ?>
								<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
								<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
								<?php endif; ?>
								<div class="clr"></div>
							</li>
							<?php endif; ?>
			        <?php endforeach; ?>
			      </ul>
		      </div>
		      <?php endif; ?>

		      <div class="clr"></div>

		      <?php if($params->get('itemVideo')): ?>
		      <div class="moduleItemVideo">
		      	<?php echo $item->video ; ?>
		      	<span class="moduleItemVideoCaption"><?php echo $item->video_caption ; ?></span>
		      	<span class="moduleItemVideoCredits"><?php echo $item->video_credits ; ?></span>
		      </div>
		      <?php endif; ?>

		      <div class="clr"></div>

		      <!-- Plugins: AfterDisplayContent -->
		      <?php echo $item->event->AfterDisplayContent; ?>

		      <!-- K2 Plugins: K2AfterDisplayContent -->
		      <?php echo $item->event->K2AfterDisplayContent; ?>

		      <?php if($params->get('itemDateCreated')): ?>
		      <span class="moduleItemDateCreated"><?php echo JText::_('K2_WRITTEN_ON') ; ?> <?php echo JHTML::_('date', $item->created, JText::_('K2_DATE_FORMAT_LC2')); ?></span>
		      <?php endif; ?>

		      <?php if($params->get('itemAttachments') && count($item->attachments)): ?>
					<div class="moduleAttachments">
						<?php foreach ($item->attachments as $attachment): ?>
						<a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
						<?php endforeach; ?>
					</div>
		      <?php endif; ?>

					<?php if($params->get('itemCommentsCounter') && $componentParams->get('comments')): ?>
		        <div class="moduleItemComments">
		          <?php if(!empty($item->event->K2CommentsCounter)): ?>
		            <!-- K2 Plugins: K2CommentsCounter -->
		            <?php echo $item->event->K2CommentsCounter; ?>
		          <?php else: ?>
		            <?php if($item->numOfComments>0): ?>
		            <a href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
		              <?php echo $item->numOfComments; ?> <?php //if($item->numOfComments>1) echo JText::_('K2_COMMENTS'); else echo JText::_('K2_COMMENT'); ?>
		            </a>
		            <?php else: ?>
		            <a href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
		              0<?php //echo JText::_('K2_BE_THE_FIRST_TO_COMMENT'); ?>
		            </a>
		            <?php endif; ?>
		          <?php endif; ?>
		        </div>
		      <?php endif; ?>

					<?php if($params->get('itemHits')): ?>
		      <span class="moduleItemHits">
		        <?php //echo JText::_('K2_READ'); ?><i class="icon-eye-open"></i> <?php echo $item->hits; ?><?php //echo JText::_('K2_TIMES'); ?>
		      </span>
		      <?php endif; ?>

		      <?php if($params->get('itemReadMore') && $item->fulltext): ?>
		      <a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
		        <span><?php echo JText::_('K2_READ_MORE'); ?></span>
		      </a>
		      <?php endif; ?>

		      <!-- Plugins: AfterDisplay -->
		      <?php echo $item->event->AfterDisplay; ?>

		      <!-- K2 Plugins: K2AfterDisplay -->
		      <?php echo $item->event->K2AfterDisplay; ?>

				</div>
				<?php if($params->get('itemIntroText')): ?>
				<section class="transition itemInvisibleArea">
				  <!-- Item introtext -->
				  <div class="portfolioItemIntroText catItemIntroText">
				  	<a href="<?php echo $item->link; ?>" data-id="<?php echo $item->id; ?>">
				  		<?php echo $item->introtext; ?>
				  	</a>
				  </div>
				</section>
				<?php endif; ?>
			</div>
			<div class="clr"></div>
    </article>
    <?php endif; ?>
    <?php endforeach; ?>
	</section>

	<?php if(count($items) > $step): ?>
	<a class="icon-plus4 k2CustomShowMore" href="#"><?php echo $itemCustomLinkTitle; ?></a>
	<?php endif; ?>

  <?php endif; ?>

	<?php if($params->get('itemCustomLink')): ?>
	<a class="moduleCustomLink" href="<?php echo $params->get('itemCustomLinkURL'); ?>" title="<?php echo K2HelperUtilities::cleanHtml($itemCustomLinkTitle); ?>"><span><?php echo $itemCustomLinkTitle; ?></span></a>
	<?php endif; ?>

	<?php if($params->get('feed')): ?>
	<div class="k2FeedIcon">
		<a href="<?php echo JRoute::_('index.php?option=com_k2&view=itemlist&format=feed&moduleID='.$module->id); ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>
<div class="clr"></div>
</div>
